Name:           libaec
Version:        1.0.4
Release:        1
Summary:        Adaptive Entropy Coding library
License:        BSD
Url:            https://gitlab.dkrz.de/k202009/libaec
Source0:        https://gitlab.dkrz.de/k202009/libaec/-/archive/v%{version}/libaec-v%{version}.tar.gz

BuildRequires:  gcc cmake3

%description
Libaec provides fast lossless compression of 1 up to 32 bit wide
signed or unsigned integers (samples). The library achieves best
results for low entropy data as often encountered in space imaging
instrument data or numerical model output from weather or climate
simulations. While floating point representations are not directly
supported, they can also be efficiently coded by grouping exponents
and mantissa.

Libaec implements Golomb-Rice coding as defined in the Space Data System Standard documents [121.0-B-2][1] and [120.0-G-2][2].

%package devel
Summary:        Devel package for libaec
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for libaec.

%prep
%setup -q -n %{name}-v%{version}

%build
mkdir build
pushd build
%{cmake3} ..
%make_build
popd

%install
%make_install -C build

%check
make -C build test CTEST_OUTPUT_ON_FAILURE=1
%ldconfig_scriptlets

%files
%doc README.md README.SZIP CHANGELOG.md
%license Copyright.txt doc/patent.txt
%{_bindir}/aec
%{_libdir}/lib*.so.*
%{_mandir}/man1/aec.*

%files devel
%{_includedir}/*.h
%{_libdir}/lib*.so

%changelog
* Tue Oct 22 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.0.4-1
- Package init
